Bug 1320060 (CVE-2016-3689) - CVE-2016-3689 kernel: denial of service via malicious device using ims-pcu driver
Summary: CVE-2016-3689 kernel: denial of service via malicious device using ims-pcu dr...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-3689
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1320061
Blocks: 1320063
TreeView+ depends on / blocked
 
Reported: 2016-03-22 09:04 UTC by Andrej Nemec
Modified: 2019-09-29 13:46 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-30 13:18:18 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-03-22 09:04:20 UTC
A vulnerability was found in the Linux kernel. A device pretending to be a device driven by the ims-pcu driver but leaving out either of the two interfaces present on the genuine device will oops the driver.

Reference with proposed fix:

https://bugzilla.novell.com/show_bug.cgi?id=971628

Linux-input maintainer tree patch:

https://kernel.googlesource.com/pub/scm/linux/kernel/git/dtor/input/+/a0ad220c96692eda76b2e3fd7279f3dcd1d8a8ff

An upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a0ad220c96692eda76b2e3fd7279f3dcd1d8a8ff

CVE-ID request:
http://seclists.org/oss-sec/2016/q1/715

CVE-ID assignment:
http://seclists.org/oss-sec/2016/q1/717

Comment 1 Andrej Nemec 2016-03-22 09:05:02 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1320061]

Comment 4 Vladis Dronov 2016-03-30 13:17:30 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 5 Andrej Nemec 2016-03-30 15:00:59 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q1/717


Note You need to log in before you can comment on or make changes to this bug.